2011-10-26  R. Bernstein <rocky@gnu.org>

	* doc/how-to-make-a-release.txt: Administrivia.

2011-10-26  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h: Reduce doxygen warnings regarding
	documenting some parameters.

2011-10-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for 0.83 release

2011-10-21  rocky <rocky@gnu.org>

	* INSTALL: INSTALL got clobbered

2011-10-21  R. Bernstein <rocky@gnu.org>

	* INSTALL, configure.ac, lib/cdda_interface/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/paranoia/Makefile.am, lib/udf/Makefile.am: Makefile.am: Increase
	shared library "current" numbers, zeroing "revision" and "age ".
	configure.ac: require autoconf at least 2.67

2011-10-21  rocky <rocky@gnu.org>

	* test/Makefile.am: Forgot to add check_legal.regex

2011-10-21  rocky <rocky@gnu.org>

	* README.develop: Add version numbers for autoconf and automake.

2011-10-21  rocky <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2011-10-21  R. Bernstein <rocky@gnu.org>

	* README.libcdio, doc/libcdio.texi, example/isofile.c: libcdio.texi:
	add information about the cdio/cdio_config.h and cdio_unconfig.hs
	header mess. README.libcdio: revise for FreeBSD and other BSDs.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* README: Note there is limited support for writing via MMC as noted
	by Thomash Schmitt.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, src/cd-paranoia/Makefile.am: 
	src/cd-paranoia.h and include/cdio/cdio_config.h are derived files,
	so don't include them in the distribution.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/cdio_unconfig.h,
	test/.gitignore, test/Makefile.am, test/testunconfig.c: Add an
	include to remove any C Preprocessor symbol libcdio's config.h
	creates. Programs using libcdio can do this:  // for cdio:  // for
	your program

2011-10-20  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/isolist.c, example/isolsn.c,
	example/mmc1.c, example/mmc2.c, example/mmc2a.c, example/mmc3.c,
	example/paranoia.c, example/udffile.c, include/cdio/Makefile.am,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/drive_exceptions.c, lib/cdda_interface/toc.c,
	lib/cdda_interface/utils.c, lib/cdio++/devices.cpp,
	lib/cdio++/iso9660.cpp, lib/driver/FreeBSD/freebsd.c,
	lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stream.c, lib/driver/aix.c, lib/driver/audio.c,
	lib/driver/bsdi.c, lib/driver/cd_types.c, lib/driver/cdio.c,
	lib/driver/cdio_assert.h, lib/driver/cdtext.c, lib/driver/device.c,
	lib/driver/disc.c, lib/driver/ds.c, lib/driver/gnu_linux.c,
	lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/nrg.c, lib/driver/image_common.c,
	lib/driver/logging.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_hl_cmds.c, lib/driver/mmc/mmc_ll_cmds.c,
	lib/driver/mmc/mmc_util.c, lib/driver/netbsd.c, lib/driver/os2.c,
	lib/driver/osx.c, lib/driver/portable.h, lib/driver/read.c,
	lib/driver/realpath.c, lib/driver/sector.c, lib/driver/solaris.c,
	lib/driver/track.c, lib/driver/utf8.c, lib/driver/util.c,
	lib/iso9660/iso9660_fs.c, lib/iso9660/iso9660_private.h,
	lib/iso9660/xa.c, lib/paranoia/gap.c, lib/paranoia/isort.c,
	lib/paranoia/overlap.c, lib/paranoia/p_block.c,
	lib/paranoia/paranoia.c, lib/udf/filemode.c, lib/udf/udf_fs.c,
	lib/udf/udf_private.h, lib/udf/udf_time.c,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/report.c,
	src/cdda-player.c, src/cddb.c, src/mmc-tool.c, src/util.h,
	test/check_sizeof.c, test/driver/bincue.c.in,
	test/driver/cdrdao.c.in, test/driver/freebsd.c,
	test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/mmc_read.c, test/driver/mmc_write.c,
	test/driver/nrg.c.in, test/driver/osx.c, test/driver/realpath.c,
	test/driver/solaris.c, test/driver/win32.c,
	test/test_lib_driver_util.c, test/testassert.c, test/testdefault.c,
	test/testgetdevices.c.in, test/testischar.c, test/testiso9660.c,
	test/testisocd.c, test/testparanoia.c, test/testpregap.c.in: Make
	sure config.h or the copy of that gets included only once to reduce
	duplicate include warnings.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/Makefile.am, lib/driver/cdtext.c,
	lib/driver/utf8.c, src/cd-info.c: Correct test for enable_cdda to
	accept either curses.h *or* ncurses.h Add <strings.h> in more places
	that use bzero. Checks suggested by Blake Jones.  Add preprocessor
	symbol CDIO_CONFIG_H to <cdio_config.h>

2011-10-20  rocky <rocky@gnu.org>

	* THANKS: Add Dagobert Michelson to the growing list.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* example/README: Note that some adjustments might be needed to
	compile example programs

2011-10-20  R. Bernstein <rocky@gnu.org>

	* Makefile.am, doc/Makefile.am, src/cd-paranoia/Makefile.am: Add
	remake --task documentation

2011-10-19  R. Bernstein <rocky@gnu.org>

	* src/util.h: Add <strings.h> to pick up definition of bzero.

2011-10-19  R. Bernstein <rocky@gnu.org>

	* README.develop, example/sample3.c, include/cdio++/iso9660.hpp,
	src/cd-drive.c, src/cd-paranoia/Makefile.am, test/check_legal.regex: 
	Remove CVS $Id$ line which is no longer automatically updated.
	ios9660.hpp under FS because of Solaris macro conflict as suggested
	by Thomas Schmitt. cd-drive.c: add some casts to remove gcc warnings
	src/cd-paranoia/Makefile.am: remove a GNU make idiom.
	README.develop: note needing GNU make or remake

2011-10-19  R. Bernstein <rocky@gnu.org>

	* example/mmc3.c, example/sample3.c, example/sample4.c: Remove some
	warnings

2011-10-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: sprintf -> snprintf

2011-10-20  rocky <rocky@gnu.org>

	* lib/driver/solaris.c: solaris.c: sprintf->snprintf as implicitly
	suggested by Thomas Schmitt

2011-10-20  rocky <rocky@gnu.org>

	* lib/iso9660/rock.c, test/check_common_fn.in: rock.c: small
	C-Preprocessor bug noticed on Solaris 10 sparc. check_common_fn.in:
	avoid == for older /bin/sh as Solaris has

2011-10-18  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2011-10-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/solaris.c: Solaris patch from Thomas Schmitt to make
	the Solaris driver capable of detecting drives without vold, and how
	to implement access mode MMC_RDWR.

2011-10-18  rocky <rocky@gnu.org>

	* NEWS: Update NEWS for pending 0.83 release.

2011-10-04  R. Bernstein <rocky@gnu.org>

	* src/util.c, test/cdda-mcn.right, test/cdda-read.right,
	test/cdda.right, test/check_common_fn.in, test/check_opts.sh,
	test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/copying-rr.right, test/copying.right, test/fsf.right,
	test/isofs-m1-no-rr.right, test/isofs-m1-read.right,
	test/isofs-m1.right, test/joliet-nojoliet.right, test/joliet.right,
	test/monvoisin.right, test/svcd_ogt_test_ntsc.right,
	test/svcdgs.right, test/vcd_demo.right,
	test/vcd_demo_vcdinfo.right, test/vcd_demo_vcdinfo_toc.right,
	test/videocd.right: --no-header omits warranty. Patch from Martin
	von Gagem. Savannah #29307.

2011-09-12  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: Give CDDB info if *any* tracks are found to be
	audio tracks.

2011-08-25  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Fix a couple of sizeof syntax
	errors in converting sprintf to snprintf. See bug #34125.

2011-07-08  rocky <rocky@gnu.org>

	* configure.ac, include/cdio/Makefile.am: Use "make" to create
	include/cdio/cdio_config.h rather than do it in the configure
	script.

2011-07-08  rocky <rocky@gnu.org>

	* include/cdio/paranoia.h, lib/paranoia/paranoia.c: Reduce range of
	seek in paranoia_seek to be int32_t. CDDA's definitely live within
	this range. off_t is influenced by _FILE_OFFSET_BITS and can cause
	problems on a 32-bit system where _FILE_OFFSET_BITS is set to 64.
	See Bastiaan Timmer's posting to libcdio-help on July 7, 2011.

2011-07-07  rocky <rocky@gnu.org>

	* configure.ac: Copy all of config.h in order to get
	_FILE_OFFSET_BITS.

2011-05-31  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, src/iso-info.c: Two more Coverty static
	analysis issues addressed by Honza Horak.

2011-05-30  rocky <rocky@gnu.org>

	* example/audio.c, example/mmc2a.c, example/paranoia.c,
	lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/scan_devices.c, lib/driver/device.c,
	lib/driver/gnu_linux.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c, lib/driver/read.c,
	lib/iso9660/iso9660_fs.c, lib/paranoia/paranoia.c,
	lib/udf/udf_file.c, lib/udf/udf_fs.c, src/cd-info.c,
	src/cd-paranoia/cd-paranoia.c, src/cd-read.c, src/iso-info.c: patch
	from Honza Horak using Coverity's static analysis tool.

2011-05-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/driver/solaris.c,
	src/cdda-player.c: Change a number of sprintf's to snprintf.

2011-05-20  R. Bernstein <rocky@gnu.org>

	* README.libcdio, configure.ac: configure.ac: remove no
	AC_LANG_SOURCE call detected. (From Christopher Yeleighton)

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL: Typo

2011-05-19  R. Bernstein <rocky@gnu.org>

	* .gitignore, INSTALL: More specific install instructions

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL.git: INSTALL.git information is in README.develop

2011-05-19  R. Bernstein <rocky@gnu.org>

	* README.develop, README.libcdio: Update development install
	instructions and libcdio-specific "configure" options.

2011-05-19  R. Bernstein <rocky@gnu.org>

	* test/cdda.right: Adjust test output - track now has width for two
	digits.

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL.git, Makefile.am, README, doc/Makefile.am,
	doc/doxygen/html/.cvsignore, example/audio.c,
	include/cdio++/enum.hpp, include/cdio++/read.hpp,
	include/cdio/rock.h, include/cdio/scsi_mmc.h,
	lib/driver/portable.h, lib/driver/sector.c, lib/iso9660/xa.c,
	package/libcdio.spec.in, parse/toc.y, src/Makefile.am,
	src/cd-drive.help2man, src/cd-info.help2man,
	src/cd-paranoia/doc/en/cd-paranoia.1.in, src/cd-paranoia/header.c,
	src/cd-read.help2man, src/cdda-player.c, src/cdinfo-linux.c,
	src/iso-info.help2man, src/iso-read.help2man, src/util.c,
	src/util.h: Add git install instructions. Simplify and customize
	INSTALL. Add dependency to cause version.texi to get created. Update
	my email address.

2011-05-18  rocky <rocky@gnu.org>

	* THANKS, include/cdio/audio.h, include/cdio/types.h,
	include/cdio/udf_file.h, lib/driver/mmc/mmc.c, src/cd-info.c: Add
	ISRC track info to cd-info output. Code from Scot C. Bontrager.

2011-05-18  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Correct wording in cdda-player comments. For
	Christopher Yeleighton, among others.

2011-05-18  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Don't wrap-around volume adjustment for
	cdda-player. The rationale is that folks might not look at the
	volume indicator or know what the max or min values are. See issue
	#33333 by Christopher Yeleighton.

2011-05-17  rocky <rocky@gnu.org>

	* lib/driver/libcdio.sym: Make sure mmc_isrc_track_read_subchannel
	is a global symbol

2011-05-17  rocky <rocky@gnu.org>

	* THANKS, include/cdio/mmc.h, lib/driver/mmc/mmc.c: Add mmc routine
	to get the ISRC information on a CD that is in the q subchannel but
	not showing up in the CDTEXT. Contributed by Scot C. Bontrager.

2011-04-23  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h: From Leon Merten Lohse
	https://savannah.gnu.org/patch/?7532:  * discid field extraction  *
	genre field extraction (experimental)  * blocksize field extraction
	* read charcode from blocksize field  * some unneeded comments
	removed  * unneeded local variables removed  * typos

2011-03-28  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2011-03-28  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c: Don't think NULL is valid as a parameter
	any more.

2011-03-28  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c: CD-text patches from Leon Merten Lohse to
	handle double-byte strings. See https://savannah.gnu.org/patch/?7516


2011-02-24  rocky <rocky@gnu.org>

	* src/cd-read.c: Correct erroneous error message. Thanks to Bas
	Timmer via libcdio-help.

2010-11-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c, src/util.c: Guard against not having S_ISLNK
	and S_ISSOCK.

2010-11-10  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/scan_devices.c: Memoery leak reported in
	paranoia-dev. Fix from billy.donahue.

2010-10-26  R. Bernstein <rocky@gnu.org>

	* Makefile.am, lib/udf/udf_file.c: Makefile.am: Variable was
	misspelled

2010-10-22  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2010-10-22  R. Bernstein <rocky@gnu.org>

	* include/cdio/udf.h, lib/udf/libudf.sym, lib/udf/udf_file.c,
	lib/udf/udf_private.h: udf.h, libudf.sym, udf_private.h: expose
	struct udf_dirent_s and udf_get_lba() udf_file.c: udf_read_block()
	Raise level of severity on warning when requested blocks exceed the
	number in the extent.

2010-08-27  rocky <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2010-08-27  rocky <rocky@gnu.org>

	* include/cdio/udf.h: Typo in doxygen comment

2010-05-30  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/isofile.c, example/isofile2.c,
	example/isofuzzy.c, example/paranoia.c, example/udffile.c: config.h
	has to come first else _FILE_OFFSET_BITS are redefined in say
	opensolaris. Part 2 of patch from Thomas Schmitt

2010-05-30  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2010-05-30  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h, lib/udf/udf.c,
	lib/udf/udf_file.c, src/cd-paranoia/Makefile.am,
	src/cd-paranoia/report.c: Some of the patches from Thomash Schmitt
	on

	http://lists.gnu.org/archive/html/libcdio-devel/2010-05/msg00005.html. More later when I get back to the states.

2010-05-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h: uint8_t -> unsigned int.
	http://en.wikipedia.org/wiki/C_syntax#Bit_fields via Thomas Schmitt


2010-05-11  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Silence another GCC warning. Thanks to Thomas
	Schmitt for this.

2010-05-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Typo found by Thomas Schmitt.

2010-05-07  rocky <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd_cam.c: From Thomas Schmitt: in order to
	preserve the current behavior over the CAM changes.

2010-03-23  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c: Compile error when Rock Ridge support is
	disabled. Savannah bug #29308.

2010-03-23  R. Bernstein <rocky@gnu.org>

	* configure.ac: Savannah Patch #7129 from Mike Frysinger:
	specifies user-visible e-mail address in AC_INIT - uses
	AC_HELP_STRING() for enable/with options - uses AC_MSG_* instead of
	`echo` for user notices - removes redundant test checks for
	enable/with options - fixes 3rd arg handling with AC_ARG_ENABLE and
	--enable-rock and --enable-cddb and --enable-vcd-info - properly
	quotes enable/with variables in case someone passes a value with
	spaces as the enable/with value

2010-03-23  R. Bernstein <rocky@gnu.org>

	* lib/driver/disc.c: Track discmode_t (include/disc.h) enumeration
	changes

2010-02-22  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/device.h,
	include/cdio/mmc.h, include/cdio/mmc_util.h,
	lib/driver/Makefile.am, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_util.c, test/driver/.gitignore: mmc_util.{c,h}
	Break simpler non-dependent mmc helper or utility routines from
	mmc.{c,h}

2010-02-11  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/cdchange.c: Start to remove sleep in favor
	of usleep. Bug #28543.

2010-02-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_hl_cmds.c: Small change

2010-02-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_hl_cmds.h,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	test/driver/mmc_read.c: Move another routine from mmc.c into
	mmc_hl_cmds.c

2010-02-11  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_read.c: Fix Minor test bug

2010-02-11  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_read.c, test/driver/mmc_write.c: Go over for
	coding and code style.

2010-02-10  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_write.c: Small changes

2010-02-10  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc_ll_cmds.h, lib/driver/mmc/mmc_ll_cmds.c,
	test/driver/Makefile.am, test/driver/mmc.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c: Split off MMC tests which don't involve
	exclusive access from those that do.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, include/cdio/Makefile.am, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h, lib/driver/libcdio.sym,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, test/driver/mmc.c: Add
	mmc_read_disc_information. Change get_disctype to use it and thus it
	moves from mmc.c into mmc_hl_cmds.c. Status is now the return type,
	not erasable.  Split mmc_cmds.h into mmc_ll_cmds.h and
	mmc_hl_cmds.h. test/driver/mmc.c for invalid page check we get the
	right sense key, asc, and ascq.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Clear sense request valid
	flag.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc.c: Test sense key, sense code and additional sense
	code on invalid page.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Add CDIO_MMC_GPCMD_READ_TRACK_INFORMATION

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/libcdio.sym, test/driver/mmc.c: sort libcdio.sym.
	Remove duplicated tests.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/libcdio.sym, test/driver/Makefile.am: Missing some more
	externals and a file which needs to go into the distribution
	tarball.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/libcdio.sym: Drop version number on
	automake. Add missing externals to libcdio.sym

2010-02-08  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Comment spelling typos

2010-02-08  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, test/driver/mmc.c: Use mmc_get_disctype in mmc
	example.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	test/driver/mmc.c: Remove duplicate cdio_mmc_disctype_t.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_cmd_helper.h, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, test/driver/mmc.c: Fix all fo the bugs
	I introduced "improving" the code of others. mmc_ll_cmds.c:
	mmc_mode_select and mmc_get_configuration now work. mmc_hl_cmds.c:
	bug introduced by turning a var into a pointer to that variable.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, test/driver/mmc.c: glossary.texi: disctype
	additions/corrections mmc.c: start test of get_disctype, stylisting
	convention changes. Warning: mmc_get_configuration and
	mmc_get_mode_select are broken.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: See above.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Add DVD-R DL, HD DVD-R and HD DVD-RAM.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/gnu_linux.c, lib/driver/libcdio.sym,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, src/mmc-tool.c, test/driver/mmc.c: Add
	SCSI-MMC GET CONFIGURATION. Add Frank Endres' disc type
	determination via MMC. Be more careful to suffix with CDIO_MMC which
	I hope will reduce possible name conflicts.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/gnu_linux.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_hl_cmds.c, lib/driver/mmc/mmc_ll_cmds.c: Start
	populating mmc/mmc_hl_cmds.c. Create mmc directory in preparation
	for making it a library.  mmc.h:
	CDIO_MMC_GPCMD_ALLOW_MEDIUM_REMOVAL ->
	CDIO_MMC_GPCMD_PREVENT_ALLOW_MEDIUM_REMOVAL mmc.c:  Move
	mm_eject_media and mmc_set_drive_speed to mmc/mmc_hl_cmds.c
	mmc_ll_cmds.c: add mmc_prevent_allow_medium_removal,
	move mmc_mode_sense to mmc/mmc_hl_cmds.c

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc_cmds.h,
	lib/driver/Makefile.am, lib/driver/cdio_private.h,
	lib/driver/mmc.c, lib/driver/mmc/.gitignore,
	lib/driver/mmc/Makefile, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_cmd_helper.h, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, lib/driver/mmc/mmc_private.h,
	lib/driver/mmc_cmds.c, lib/driver/mmc_private.h, src/mmc-tool.c,
	test/driver/mmc.c: Move more towards making MMC a library. Start to
	reorganize more to break out 1-1 SCSI-MMC commands (in
	mmc_ll_cmds.c) from higher-level commands which use the lower-level
	ones.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/mmc_cmds.c, test/driver/mmc.c: Add mcc_test_unit_ready
	and mmc_mode_select (buggy). Allow for timeouts on mmc commands -
	more work needed here too.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h, lib/driver/mmc.c,
	lib/driver/mmc_cmds.c: Small cleanups

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/mmc.c, lib/driver/mmc_cmds.c,
	src/mmc-tool.c, test/driver/mmc.c: lib/driver/mmc.c - DRY code.
	Warning - might have introduced breakage here *mmc*:
	mmc_start_stop_media -> mmc_start_stop_unit,
	CDIO_MMC_GPCMD_START_STOP -> CDIO_MMC_GPCMD_START_STOP_UNIT
	cdio++/mmc.hpp: Regularize Doxygen comment format.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* example/mmc2a.c, include/cdio++/cdio.hpp,
	include/cdio/Makefile.am, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/Makefile.am,
	lib/driver/device.c, lib/driver/mmc.c, lib/driver/mmc_cmds.c,
	src/mmc-tool.c, test/driver/mmc.c: Start to split off specific mmc
	commands from the lower-level internals.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/disc.h, include/cdio/dvd.h,
	lib/driver/_cdio_generic.c: Add CDIO_DISC_MODEs to correspond to
	updated DVD Book types.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h: See above

2010-02-06  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/dvd.h, lib/driver/disc.c: dvd.h: Update DVD
	book types disc.c: Add CDIO_DISC_MODE_DVD_OTHER  Thanks to Frank
	Endes and Thomas Schmitt for observing the problem and suggesting
	the fixes.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* lib/driver/disc.c: Had erroneously omitted
	CDIO_DISC_MODE_DVD_OTHER. Omission pointed out by Frank Endres.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, include/cdio/mmc.h, lib/driver/mmc.c,
	test/driver/mmc.c: glossary.texi, mmc.h: note acronyms SPC-3, MMC-5,
	SBC-2. glossary.texi: start using texinfo cross references
	test/driver/mmc.c: use provided routine for start/stop unit.
	Warning: might have broken things here.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Revise
	with info from dpANS SCSI Primary Commands-3 (SPC-3). Use sense data
	structure in mmc_last_cmd_sense.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c: Add SCSI sense key values.

2010-02-04  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: mmc.h:
	Big endian bytes is not the same as big_endian bitfield mmc.c: more
	pervasive use of cdio's mmc definitions.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/device.h, include/cdio/mmc.h,
	lib/driver/MSWindows/win32_ioctl.c, test/driver/mmc.c: mmc.h:
	TEST_UNIT_READY MMC command opcode  device.h: Add
	DRIVER_OP_MMC_SENSE to driver_return_code_t.  win32_ioctl.c: work
	around MS bug where buffer sizes are 0 or 1. Set return code status
	if sense data passed back. Translate bad parameter MS Windows error
	into a driver_return_code_t error.  test/driver/mmc.c: Reinstate old
	logic now that the MS Windows driver has been made to work more like
	other drivers and copes with some of the MS Windows causing failure
	here.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Fix in changing data types.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/gnu_linux.c: Add more doxygen comments as to sense
	request information means and add a typedef for mmc_sense_request.
	Use this in win32_ioctl.c.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/types.h, lib/driver/gnu_linux.c: 
	Add type definition for SCSI sense data.

2010-02-02  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc.c: Comment out some MMC tests which are failing on
	GNU/Linux where we are *not* getting sense data back but we are
	getting failures from ioctl(.. CDROM_SEND_PACKET)

2010-02-02  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2010-02-02  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, test/driver/mmc.c: MS Windows
	iocontrol SCSI Passthrough fixes. Change test/driver/mmc.c - we
	can't that when we get sense data, that we also gegt status back
	that pass through fails. On MS Windows it doesn't seem to work that
	way.

2010-02-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c: Handle SCSI_MMC_DATA_NONE and copy sense data.
	Not working since SCSI Pass is still broken. Presumably after that's
	solved there will be less catch-up work.

2010-01-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Format windows error messages
	better.

2010-01-31  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of git.sv.gnu.org:/srv/git/libcdio

2010-01-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, test/driver/mmc.c: MS Windows
	driver hacking hopefully to get closer to passing back sense data.
	For now it seems that some pass-through direct doesn't work while
	the less-good passthrough does. Sigh.

2010-01-31  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Allow a
	status parameter in mmc_get_disc_eraseable to be NULL. Suggested by
	Frank Endres on libcdio-devel mailing list.

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c: Update date

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, test/driver/mmc.c: Linguistic purity.

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c: Show off drive_erasable() in MMC example.

2010-01-29  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c,
	test/driver/gnu_linux.c, test/driver/win32.c: Add
	cdio_get_arg("scsi-tuple") for Win32 ioctl.

2010-01-29  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/mmc.h, lib/driver/mmc.c: Update MMC Feature
	Profile list

2010-01-29  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Add a
	driver return code parameter to mmc_get_get_disc_erasable.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, include/cdio/mmc.h, lib/driver/mmc.c,
	lib/driver/mmc_private.h, test/driver/mmc.c: Add
	mmc_get_disc_erasable courtesy of Frank Endres.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c: Fill out parameter
	descriptions to remove doxygen warnings.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/bincue.c.in: 
	Regularis some of the mmc Doxygen comments.

2010-01-27  R. Bernstein <rocky@gnu.org>

	* src/cd-paranoia/getopt.h: Assume nowadays Standard C is Standard C


2010-01-24  R. Bernstein <rocky@gnu.org>

	* test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/bincue.c.in, test/driver/cdrdao.c.in,
	test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/helper.h, test/driver/nrg.c.in: Start to DRY driver unit
	tests.

2010-01-23  R. Bernstein <rocky@gnu.org>

	* test/driver/bincue.c.in, test/driver/cdrdao.c.in: Reduce verbosity
	of test programs. For additional verbosity pass a param to the test
	program.

2010-01-23  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/.gitignore, test/Makefile.am,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/cdrdao.c.in, test/testtoc.c: testtoc ->
	driver/cdrdao.c.in

2010-01-23  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	src/cd-paranoia/.gitignore, test/driver/.gitignore: Better
	diagnostic messages for MS Window driver.

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, doc/libcdio.texi: libcdio.texi: More sectioning
	with respect to the libraries glossary.texi: Add Thomas Schmitt's
	DVD Blu-Ray and media information.

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Input and Control -> Input, Output, and Control
	thanks to Thomas Schmitt

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, test/driver/.gitignore: Revise section regarding
	"SCSI, SCSI commands, and MMC commands"

2010-01-21  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Thomas Schmitt's corrections and additions.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Document corrections courtesy of Thomas Schmitt.


2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/driver/.gitignore, test/driver/bincue.c: Document corrections
	courtesy of Thomas Schmitt.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* configure.ac: Allow automake 1.10

2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/.gitignore, test/cdda.bin, test/isofs-m1.bin: Remove derived
	files.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/cdda.bin, test/driver/bincue.c,
	test/driver/mmc.c, test/isofs-m1.bin: cygwin fixes.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/paranoia.c, lib/cdda_interface/utils.c,
	src/cd-read.c, test/Makefile.am, test/driver/Makefile.am,
	test/driver/bincue.c, test/driver/bincue.c.in,
	test/driver/nrg.c.in, test/testnrg.c.in: Remove more warnings.
	test/testnrg.c.in -> test/driver/nrg.c.in

2010-01-20  R. Bernstein <rocky@gnu.org>

	* test/driver/bincue.c, test/driver/bincue.c.in,
	test/driver/gnu_linux.c: Fold more tests into bi/ncue driver.

2010-01-20  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/data/isofs-m1.bin, test/data/isofs-m1.cue,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/bincue.c: Make "make dist" package everything again.

2010-01-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/.gitignore, doc/doxygen/.gitignore,
	test/Makefile.am, test/bad-cat1.cue, test/bad-cat1.toc,
	test/bad-cat2.cue, test/bad-cat2.toc, test/bad-cat3.cue,
	test/bad-cat3.toc, test/bad-file.toc, test/bad-mode1.cue,
	test/bad-mode1.toc, test/bad-msf-1.cue, test/bad-msf-1.toc,
	test/bad-msf-2.cue, test/bad-msf-2.toc, test/bad-msf-3.cue,
	test/bad-msf-3.toc, test/cdda.bin, test/cdda.cue, test/cdda.toc,
	test/cdtext.toc, test/check_cd_read.sh, test/check_cue.sh.in,
	test/check_fuzzyiso.sh, test/check_iso.sh.in, test/check_nrg.sh.in,
	test/check_opts.sh, test/check_paranoia.sh.in, test/copying-rr.iso,
	test/copying.iso, test/data/.gitignore, test/data/Makefile.am,
	test/data/bad-cat1.cue, test/data/bad-cat1.toc,
	test/data/bad-cat2.cue, test/data/bad-cat2.toc,
	test/data/bad-cat3.cue, test/data/bad-cat3.toc,
	test/data/bad-file.toc, test/data/bad-mode1.cue,
	test/data/bad-mode1.toc, test/data/bad-msf-1.cue,
	test/data/bad-msf-1.toc, test/data/bad-msf-2.cue,
	test/data/bad-msf-2.toc, test/data/bad-msf-3.cue,
	test/data/bad-msf-3.toc, test/data/cdda.bin, test/data/cdda.cue,
	test/data/cdda.toc, test/data/cdtext.toc, test/data/copying-rr.iso,
	test/data/copying.iso, test/data/data1.toc, test/data/data2.toc,
	test/data/data5.toc, test/data/data6.toc, test/data/data7.toc,
	test/data/isofs-m1.toc, test/data/joliet.iso, test/data/p1.bin,
	test/data/p1.cue, test/data/p1.nrg, test/data/t1.toc,
	test/data/t2.toc, test/data/t3.toc, test/data/t4.toc,
	test/data/t5.toc, test/data/t6.toc, test/data/t7.toc,
	test/data/t8.toc, test/data/t9.toc, test/data/vcd2.toc,
	test/data/vcd_demo.toc, test/data/videocd.nrg, test/data1.toc,
	test/data2.toc, test/data5.toc, test/data6.toc, test/data7.toc,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/bincue.c.in, test/isofs-m1.bin, test/isofs-m1.cue,
	test/isofs-m1.toc, test/joliet.iso, test/p1.bin, test/p1.cue,
	test/p1.nrg, test/t1.toc, test/t2.toc, test/t3.toc, test/t4.toc,
	test/t5.toc, test/t6.toc, test/t7.toc, test/t8.toc, test/t9.toc,
	test/testbincue.c.in, test/testgetdevices.c.in,
	test/testisocd2.c.in, test/testnrg.c.in, test/testpregap.c.in,
	test/testtoc.c, test/vcd2.toc, test/vcd_demo.toc, test/videocd.nrg: 
	Reorganize test data for future growth.

2010-01-18  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, example/cdchange.c, lib/driver/aix.c,
	lib/driver/gnu_linux.c: More information around access modes for
	specific drivers.

2010-01-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	test/driver/win32.c: Extend win32 test to check
	get_arg("mmc-supported?"). Turn ASPI load failer into an info
	message

2010-01-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, test/driver/realpath.c: Bug fixes in
	test/driver programs

2010-01-17  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Start a section on access modes and
	cdio_get_args.

2010-01-17  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/paranoia.c, lib/driver/aix.c,
	lib/driver/image_common.c, lib/driver/netbsd.c,
	test/driver/gnu_linux.c: driver/*.c: Add response for
	get_arg("mmc-supported?") example/*.c: remove compiler wranings.

2010-01-17  R. Bernstein <rocky@gnu.org>

	Merge branch 'master' of rocky@git.sv.gnu.org:/srv/git/libcdio

2010-01-17  R. Bernstein <rocky@gnu.org>

	* example/udffile.c, lib/driver/libcdio.sym,
	test/driver/gnu_linux.c: lib/driver/libcdio.sym: cdio_realpath is
	extern now. udffile.c: remove warning test/driver/gnu_linux.c: don't
	have scsi-tuple-linux any more.

2010-01-17  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: Test was erroneously failing when temp
	directory had a symbolic link in it (as it does on OSX).

2010-01-16  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/scan_devices.c: realpath -> cdio_realpath which
	pretends to be more portable.

2010-01-16  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Add way to determine if MMC commands are
	available: get_arg("mmc-supported?")

2010-01-16  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/gnu_linux.c,
